﻿using UnityEngine;
[RequireComponent(typeof(Animator))]
public class PlayQueue : MonoBehaviour
{
    public AnimationClip[] clipsToPlay;

    void Start()
    {
        var playQueue = new PlayQueuePlayable();
        playQueue.SetInputs(clipsToPlay);

        // Bind the queue to the player
        GetComponent<Animator>().Play(playQueue);
    }
}